be.fgov.ehealth.technicalconnector.ra.domain

## Class GeneratedRevocationContract

- java.lang.Object
- - be.fgov.ehealth.technicalconnector.ra.domain.GeneratedRevocationContract

- All Implemented Interfaces:
    Serializable

      public final class GeneratedRevocationContract
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeneratedRevocationContract()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDn()`
    `RevocationReasonType` | `getRevocationReason()`
    `Actor` | `getSigner()`
    `LocalizedText` | `getText()`
    `boolean` | `isContractViewed()`
    `void` | `setContractViewed(boolean contractViewed)`
    `void` | `setDn(String dn)`
    `void` | `setRevocationReason(RevocationReasonType revocationReason)`
    `void` | `setSigner(Actor signer)`
    `void` | `setText(LocalizedText text)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GeneratedRevocationContract

          public GeneratedRevocationContract()

  - ### Method Detail

    - #### getDn

          public String getDn()

    - #### setDn

          public void setDn(String dn)

    - #### getSigner

          public Actor getSigner()

    - #### setSigner

          public void setSigner(Actor signer)

    - #### getText

          public LocalizedText getText()

    - #### setText

          public void setText(LocalizedText text)

    - #### getRevocationReason

          public RevocationReasonType getRevocationReason()

    - #### setRevocationReason

          public void setRevocationReason(RevocationReasonType revocationReason)

    - #### isContractViewed

          public boolean isContractViewed()

    - #### setContractViewed

          public void setContractViewed(boolean contractViewed)

Connector Packaging OTMOBILITYIMPROVEMENT 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.